Package com.xebialabs.xlrelease.risk.domain.riskassessors

## Class RiskAssessor

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `PlanItemDueDateRiskAssessor`, `ReleaseFlaggedAtRiskAssessor`, `ReleaseFlaggedAttentionNeededRiskAssessor`, `ReleaseStatusFailedRiskAssessor`, `ReleaseStatusFailingRiskAssessor`, `TaskFlagRiskAssessor`, `TaskRetriesRiskAssessor`

      @Metadata(versioned=false)
      public abstract class RiskAssessor
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `description` |
    `protected java.lang.String` | `group` |
    `protected java.lang.String` | `icon` |
    `protected static java.lang.String` | `OK_HEADLINE` |
    `protected static int` | `OK_SCORE` |
    `protected java.lang.String` | `order` |
    `protected int` | `score` |
    `protected java.lang.String` | `title` |
    `protected int` | `weight` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RiskAssessor()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract RiskAssessment` | `execute​(Release release, RiskProfile riskProfile)` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getGroup()` |
    `java.lang.String` | `getIcon()` |
    `java.lang.String` | `getOrder()` |
    `int` | `getScore()` |
    `java.lang.String` | `getTitle()` |
    `int` | `getWeight()` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setGroup​(java.lang.String group)` |
    `void` | `setIcon​(java.lang.String icon)` |
    `void` | `setOrder​(java.lang.String order)` |
    `void` | `setScore​(int score)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setWeight​(int weight)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OK_SCORE

          protected static final int OK_SCORE

      See Also:
        Constant Field Values

    - #### OK_HEADLINE

          protected static final java.lang.String OK_HEADLINE

      See Also:
        Constant Field Values

    - #### title

          @Property(description="The title of the risk assessor.")
          protected java.lang.String title

    - #### description

          @Property(required=false,
                    description="The description of the item.")
          protected java.lang.String description

    - #### weight

          @Property(description="The weight of the assessor in the total calculation.")
          protected int weight

    - #### score

          @Property(description="Score given when assessor decides it needs scoring.",
                    defaultValue="0")
          protected int score

    - #### order

          @Property(description="A value used for ordering the assessors within a risk profile.",
                    defaultValue="100")
          protected java.lang.String order

    - #### group

          @Property(description="Define a group to which this risk assessor belongs. Used for UI. Default is: Risk Assessors",
                    defaultValue="Risk Assessors")
          protected java.lang.String group

    - #### icon

          @Property(description="Define an icon for the risk assessor",
                    defaultValue="")
          protected java.lang.String icon

  - ### Constructor Detail

    - #### RiskAssessor

          public RiskAssessor()

  - ### Method Detail

    - #### execute

          public abstract RiskAssessment execute​(Release release,
                                                 RiskProfile riskProfile)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getWeight

          public int getWeight()

    - #### setWeight

          public void setWeight​(int weight)

    - #### getScore

          public int getScore()

    - #### setScore

          public void setScore​(int score)

    - #### getOrder

          public java.lang.String getOrder()

    - #### setOrder

          public void setOrder​(java.lang.String order)

    - #### getIcon

          public java.lang.String getIcon()

    - #### setIcon

          public void setIcon​(java.lang.String icon)

    - #### getGroup

          public java.lang.String getGroup()

    - #### setGroup

          public void setGroup​(java.lang.String group)